Skip to main content

Delivery Services

1 API call in this section.

List Delivery Services​

External & Carrier Integrations / Delivery Services
GET/external/delivery-services

List delivery services with filtering, access control, and pagination.

tenant_id

Fields

id, name, code, description, service_level, default_price, estimated_delivery_time_min, estimated_delivery_time_max, service_options, image_url, unit_min, unit_max, delivery_type(id,name,code), active.

Responses

200 success; 404 tenant_not_found; 500 internal_server_error.

Query parameters

ParameterTypeDescription
pageOptionalstring

Page number (optional, default 1)

Example: 1

limitOptionalstring

Items per page (optional, default 10)

Example: 10

service_levelOptionalstring

Filter by service level (optional)

searchOptionalstring

Search by name/code (optional)

activeOptionalstring

Filter by active status (true/false) (optional)

delivery_typeOptionalstring

Filter by delivery_type_id (optional)

delivery_type_codeOptionalstring

Filter by delivery type code (optional)

price_orderOptionalstring

Order by default_price (asc|desc) (optional)

customer_idOptionalstring

Customer filter for access control (optional)

Headers

ParameterTypeDescription
X-API-Keystring

Example: {{api_key}}

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/external/delivery-services?page=1&limit=10&service_level=&search=&active=&delivery_type=&delivery_type_code=&price_order=&customer_id=" \2  --header "X-API-Key: ${ONDI_TENANT_API_KEY}"

Response examples

200OK
Response body
json
1{2  "success": true,3  "error": null,4  "message": "Delivery services retrieved successfully",5  "deliveryServices": [6    {7      "id": "svc-uuid",8      "name": "Standard",9      "code": "STD",10      "description": "Standard delivery",11      "service_level": "standard",12      "default_price": 15.5,13      "estimated_delivery_time_min": 60,14      "estimated_delivery_time_max": 120,15      "service_options": {},16      "image_url": "https://cdn.example.com/services/std.png",17      "unit_min": 1,18      "unit_max": 10,19      "delivery_type": {20        "id": "dt-uuid",21        "name": "Local",22        "code": "LOCAL"23      },24      "active": true25    }26  ],27  "page": 1,28  "limit": 10,29  "total": 130}